Community


All times are UTC - 5 hours




Post new topic Reply to topic  [ 2 posts ] 
Author Message
 Post subject: can't load library 'libssl.so.0.9.8' openWRT
PostPosted: Fri May 03, 2013 6:24 am 
Offline

Joined: Fri Apr 26, 2013 4:50 am
Posts: 7
Hi

I have installed OpenWRT in Linksys 610N v2 router from http://downloads.openwrt.org/snapshots/ ... uashfs.bin

now when I install neorouter client it gives error :

"can't load library 'libssl.so.0.9.8' "

Pls Help

Thanks


Top
 Profile  
 
 Post subject: Re: can't load library 'libssl.so.0.9.8' openWRT
PostPosted: Fri May 03, 2013 11:06 am 
Offline

Joined: Sun Nov 16, 2008 6:41 am
Posts: 1869
Hi prakashx86,

NR Kamikaze (mips) packages works for brcm47xx (linux 2.4) firmware. I noticed that your firmware come with openssl v1 library, you can create symbol links for libssl and libcrypto as below, then it should work.

root@OpenWrt:~# ldd /usr/bin/nrservice
libssl.so.0.9.8 => /usr/lib/libssl.so.0.9.8 (0x2aabf000)
libcrypto.so.0.9.8 => /usr/lib/libcrypto.so.0.9.8 (0x2ab0c000)
libpthread.so.0 => /lib/libpthread.so.0 (0x2ac28000)
libdl.so.0 => /lib/libdl.so.0 (0x2ac4d000)
libuClibc++.so.0 => /usr/lib/libuClibc++.so.0 (0x2ac60000)
libc.so.0 => /lib/libc.so.0 (0x2aca7000)
libm.so.0 => /lib/libm.so.0 (0x2ad21000)
libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x2ad4b000)
ld-uClibc.so.0 => /lib/ld-uClibc.so.0 (0x2aaa8000)

Thanks,
KevinZ - NeoRouter team


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 2 posts ] 

All times are UTC - 5 hours


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
cron